b43b16a1131f187fad75e7; charset=UTF-8
Last-Modified: Sun, 19 Jan 2025 17:26:00 GMT
Expires: Wed, 17 Jan 2035 17:26:00 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>kubernetes.yml « misc - minetest.git - modified minetest for gpcfs purposes</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/static/cgit.css'/>
<link rel='shortcut icon' href='//bananach.space/favicon.png'/>
<link rel='alternate' title='Atom feed' href='https://git.bananach.space/minetest.git/atom/misc/kubernetes.yml?h=gpcf' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='//bananach.space/bananach.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/minetest.git/'>minetest.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'/><select name='h' onchange='this.form.submit();'>
<option value='gpcf' selected='selected'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=gpcf'>about</a><a href='/minetest.git/?h=gpcf'>summary</a><a href='/minetest.git/refs/?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>refs</a><a href='/minetest.git/log/misc/kubernetes.yml?h=gpcf'>log</a><a class='active' href='/minetest.git/tree/misc/kubernetes.yml?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>tree</a><a href='/minetest.git/commit/misc/kubernetes.yml?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>commit</a><a href='/minetest.git/diff/misc/kubernetes.yml?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/misc/kubernetes.yml'>
<input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>root</a>/<a href='/minetest.git/tree/misc?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>misc</a>/<a href='/minetest.git/tree/misc/kubernetes.yml?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>kubernetes.yml</a></div><div class='content'>blob: 1a956abe9998ca574f3418dad33e9952883a4e1a (<a href='/minetest.git/plain/misc/kubernetes.yml?h=gpcf&amp;id=d400a98ef0408ccbd2cc4c72f8b48c3813dfce41'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
</pre></td>
<td class='lines'><pre><code>---
<span class="hl kwa">apiVersion:</span> extensions/v<span class="hl num">1</span>beta<span class="hl num">1</span>
<span class="hl kwa">kind:</span> Deployment
<span class="hl kwa">metadata:</span>
  <span class="hl kwa">labels:</span>
    <span class="hl kwa">app:</span> minetest
  <span class="hl kwa">name:</span> minetest
  <span class="hl kwa">namespace:</span> default
<span class="hl kwa">spec:</span>
  <span class="hl kwa">selector:</span>
    <span class="hl kwa">matchLabels:</span>
      <span class="hl kwa">app:</span> minetest
  <span class="hl kwa">template:</span>
    <span class="hl kwa">metadata:</span>
      <span class="hl kwa">labels:</span>
        <span class="hl kwa">app:</span> minetest
    <span class="hl kwa">spec:</span>
      <span class="hl kwa">containers:</span>
      - <span class="hl kwa">image:</span> registry.gitlab.com/minetest/minetest/server:master
        <span class="hl kwa">name:</span> minetest
        <span class="hl kwa">ports:</span>
        - <span class="hl kwa">containerPort:</span> <span class="hl num">30000</span>
          <span class="hl kwa">protocol:</span> UDP
        <span class="hl kwa">volumeMounts:</span>
        - <span class="hl kwa">mountPath:</span> /var/lib/minetest
          <span class="hl kwa">name:</span> minetest-data
        - <span class="hl kwa">mountPath:</span> /etc/minetest
          <span class="hl kwa">name:</span> config
      <span class="hl kwa">restartPolicy:</span> Always
      <span class="hl kwa">volumes:</span>
      - <span class="hl kwa">name:</span> minetest-data
        <span class="hl kwa">persistentVolumeClaim:</span>
          <span class="hl kwa">claimName:</span> minetest-data
      - <span class="hl kwa">configMap:</span>
          <span class="hl kwa">defaultMode:</span> <span class="hl num">420</span>
          <span class="hl kwa">name:</span> minetest
        <span class="hl kwa">name:</span> config
---
<span class="hl kwa">apiVersion:</span> v<span class="hl num">1</span>
<span class="hl kwa">kind:</span> <span class="hl kwc">Service</span>
<span class="hl kwa">metadata:</span>
  <span class="hl kwa">labels:</span>
    <span class="hl kwa">app:</span> minetest
  <span class="hl kwa">name:</span> minetest
  <span class="hl kwa">namespace:</span> default
<span class="hl kwa">spec:</span>
  <span class="hl kwa">ports:</span>
  - <span class="hl kwa">name:</span> minetest
    <span class="hl kwa">port:</span> <span class="hl num">30000</span>
    <span class="hl kwa">protocol:</span> UDP
  <span class="hl kwa">selector:</span>
    <span class="hl kwa">app:</span> minetest
  <span class="hl kwa">type:</span> NodePort
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-01-19 17:26:00 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
